Subject: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken

From: "Elia Nolz" <[email-masked]>
Date: Sat, 08 May 2021 13:50:28 +0200

Addendum:

I just tried if the same applied to terminal Emacs by launching it with `emacs -nw` and it does not (presumably because Super and Hyper are not passed from the terminal emulator to Emacs itself).

I was able to work around the bug by using `(define-key key-translation-map (kbd "H-<down>") (kbd "<down>"))` etc. for all ISO_Level5 keys but that is a bit too cluncky and static for my tastes. Is there a way to just translate every "H-" binding to just not have the modifier applied? Is there a list of all possible keys Emacs accepts and that I can use to just `map` over the `define-key` statement.

xmodmap output:

```
xmodmap:  up to 3 keys per modifier, (keycodes in parentheses):

shift       Shift_L (0x32),  Shift_R (0x3e)
lock        Shift_L (0x32)
control     Control_L (0x40),  Control_R (0x69)
mod1        Alt_L (0x85),  Meta_L (0xcd)
mod2        BadKey (0xcf)
mod3        ISO_Level5_Shift (0xcb)
mod4        Super_L (0x25),  Super_R (0x86),  Super_L (0xce)
mod5        ISO_Level3_Shift (0x5c)
```